#!/usr/bin/env python

#-------------------------------------------------------------------
# Objectives
#-------------------------------------------------------------------
# This file describes a configuration with 37 PFTs that correspond 
# to the 13 MTCs. The 8 forest MTCs are set-up with 4 age classes
# each, the remaining bare soil and the 4 agricultural PFTs without age 
# classes. This configuration is suitable for testing the age classes
# in combination with the default PFT map.
#
# WARNING: the order of the PFTs should match the PFT definition of
# the land cover, forest management, litter raking and species maps
#
# CODING GUIDELINE: variable names written in capitals are variables
# that will end up in the run.defs


#-------------------------------------------------------------------
# Configure the vegetation. 
#-------------------------------------------------------------------
NAGEC = 4
header = ['domain', 'in_run_def', 'mtc', 'pft', 'species, genus or biome', 'pft_to_mtc', 'has_agec'] 
config = [\
  ['Global', 'BareSoil', 'SoilBare', 'Global', 1, 'n'],
  ['Global', 'TropicalBroadLeavedEvergreen', 'BroadLeavedEvergreen',  'Tropical', 2, 'y'], 
  ['Global', 'TropicalBroadLeavedRaingreen', 'BroadLeavedRaingreen',  'Tropical', 3, 'y'], 
  ['Global', 'TemperateNeedleleafEvergreen', 'NeedleleafEvergreen', 'Temperate', 4, 'y'], 
  ['Global', 'TemperateBroadLeavedEvergreen', 'BroadLeavedEvergreen', 'Temperate', 5, 'y'],
  ['Global', 'TemperateBroadLeavedSummergreen', 'BroadLeavedSummergreen', 'Temperate', 6, 'y'],
  ['Global', 'BorealNeedleleafEvergreen', 'NeedleleafEvergreen', 'Boreal', 7, 'y'],
  ['Global', 'BorealBroadLeavedSummergreen', 'BroadLeavedSummergreen', 'Boreal', 8, 'y'],
  ['Global', 'BorealNeedleleafSummergreen', 'LarixSp', 'Boreal', 9, 'y'],
  ['Global', 'C3Grass', 'C3Grass', 'Temperate', 10, 'n'],
  ['Global', 'C4Grass', 'C4Grass', 'Temperate',11, 'n'],
  ['Global', 'C3Agriculture', 'C3Agriculture', 'Temperate', 12, 'n'],
  ['Global', 'C4Agriculture', 'C4Agriculture', 'Temperate', 13, 'n']]  

